<?php

namespace Drupal\janrain_connect\Constants;

/**
 * Janrain Connect Validation Constants.
 */
class JanrainConnectValidationConstants {

  /**
   * Messages.
   */
  const JANRAIN_CONNECT_VALIDATION_MESSAGES = [
    402 => 'The client ID does not exist or the client secret is wrong.',
    403 => 'The client does not have permission to perform the action (that is, it needs a feature).',
    413 => 'The supplied authorization_code is not valid because the user’s access grant has been deleted.',
    414 => 'The supplied access_token has expired.',
    415 => 'The supplied authorization_code has expired.',
    416 => 'The supplied verification_code has expired.',
    417 => 'The supplied creation_token has expired.',
    480 => 'The API call was temporarily disabled for maintenance, and will be available again shortly.',
    500 => 'Unexpected internal error.',
    510 => 'The limit on total number of simultaneous API calls has been reached.',
    540 => 'An error was triggered in the flow.',
  ];

}
